/***********************************************************************************************************************
 *
 * SolidBlue - open source safe data
 * Copyright (C) 2011-2012 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://solidblue.java.net
 * SCM: https://bitbucket.org/tidalwave/solidblue-src
 *
 **********************************************************************************************************************/
package it.tidalwave.integritychecker.ui.impl.action;

import javax.annotation.Nonnull;
import java.io.File;
import org.openide.awt.ActionID;
import org.openide.awt.ActionReference;
import org.openide.awt.ActionReferences;
import org.openide.awt.ActionRegistration;
import it.tidalwave.netbeans.action.FileSelectionMessageSenderAction;
import it.tidalwave.integritychecker.FileScanRequestMessage;
import static it.tidalwave.integritychecker.filter.FileExtensionFilter.*;

/***********************************************************************************************************************
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@ActionID(id = "it.tidalwave.integritychecker.ui.impl.action.ScanAction", category = "File")
@ActionRegistration(displayName = "#CTL_ScanAction", 
                    iconBase = "it/tidalwave/integritychecker/ui/impl/action/Button-go.png")
@ActionReferences(value = 
  {
    @ActionReference(path = "Menu/File", position = 2500),
    @ActionReference(path = "Toolbars/Standard", position = 2500)
  })
public final class ScanAction extends FileSelectionMessageSenderAction
  {
    @Override @Nonnull
    protected FileScanRequestMessage createMessage (final @Nonnull File folder)
      {
        return FileScanRequestMessage.forFolder(folder)
                                     .withFilter(withExtensions("NEF", "nef", "JPG", "jpg", "TIF", "tif"));
      }
  }
